Commit a0bfc911 by Julien Muchembled

ERP5: there's nothing to upgrade in a newly created MariaBD datadir

1 parent 2db882fc
......@@ -14,7 +14,7 @@
# not need these here).
[mariadb-resiliency-after-import-script]
filename = instance-mariadb-resiliency-after-import-script.sh.in
md5sum = c1f1083bf6c911a0e65dcb841fba327d
md5sum = 0f8da748227de71aca93ae7b4a412c37
[mariadb-slow-query-report-script]
filename = mysql-querydigest.sh.in
......@@ -26,7 +26,7 @@ md5sum = d95e8500bdc72d1f40b97cc414656e7e
[template-mariadb]
filename = instance-mariadb.cfg.in
md5sum = 9df786692c61bd8d3a6f4e7ed15f272f
md5sum = 5a93ff00ee4eb60cc065d51fb437877a
[template-kumofs]
filename = instance-kumofs.cfg.in
......
......@@ -18,7 +18,6 @@ mariadb_backup_directory='{{ mariadb_backup_directory }}'
pid_file='{{ pid_file }}'
binlog_path='{{ binlog_path }}'
server_executable='{{ server_executable }}'
update_executable='{{ update_executable }}'
# Make sure mariadb is not already running
if [ -e "$pid_file" ]; then
......@@ -34,7 +33,7 @@ if [ -e "$pid_file" ]; then
fi
echo "Deleting existing database..."
rm -r "$mariadb_data_directory"/* >/dev/null 2>&1 || true
find "$mariadb_data_directory" -mindepth 1 -delete
# $binlog_path can be empty if incremental_backup_retention_days <= -1
if [ -n "$binlog_path" ]; then
......@@ -57,15 +56,6 @@ if ! [ -d /proc/$mysql_pid ]; then
echo "mysqld exited, aborting."
exit 1
fi
"$update_executable" &
mariadb_update_pid=$!
sleep 60
# If mariadb_update is still running, abort
if [ -d /proc/$mariadb_update_pid ]; then
echo "mariadb_update still running after timeout, aborting."
kill $mariadb_update_pid
exit 1
fi
echo "Importing data..."
# Use latest dump XXX can contain funny characters
......
......@@ -314,7 +314,6 @@ context =
key pid_file my-cnf-parameters:pid-file
key binlog_path my-cnf-parameters:binlog-path
key server_executable mysqld:rendered
key update_executable update-mysql:output
[{{ section('monitor-generate-mariadb-slow-query-report') }}]
recipe = slapos.cookbook:cron.d
......
Styling with Markdown is supported
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!